Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/departments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "department",
"attributes": {
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/departments"
payload = { "data": {
"type": "department",
"attributes": {
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'department',
attributes: {
name: 'Computer Science',
label: 'Department',
external_id: 'DEPT-001',
head_label: 'Department Chair'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/departments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "department",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair",
"is_root": true
},
"relationships": {
"parent": {
"links": {
"related": "<string>"
},
"meta": {}
},
"children": {
"links": {
"related": "<string>"
},
"meta": {}
},
"department_chairs": {
"links": {
"related": "<string>"
},
"meta": {}
}
},
"meta": {
"children_count": 123,
"depth": 123,
"root": true
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Creates a new department following JSON:API specification
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/departments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "department",
"attributes": {
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/departments"
payload = { "data": {
"type": "department",
"attributes": {
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'department',
attributes: {
name: 'Computer Science',
label: 'Department',
external_id: 'DEPT-001',
head_label: 'Department Chair'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/departments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "department",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "Computer Science",
"label": "Department",
"external_id": "DEPT-001",
"head_label": "Department Chair",
"is_root": true
},
"relationships": {
"parent": {
"links": {
"related": "<string>"
},
"meta": {}
},
"children": {
"links": {
"related": "<string>"
},
"meta": {}
},
"department_chairs": {
"links": {
"related": "<string>"
},
"meta": {}
}
},
"meta": {
"children_count": 123,
"depth": 123,
"root": true
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
department created
Show child attributes